Summary: A graphical user interface arround the ppp-on/off scripts
Name: gpppwrap
Version: 1.1
Release: 1
Copyright: GPL
Group: X11/Applications/Networking
Source: http://pepper.linuxfocus.org/~guido/gpppwrap-1.1.tar.gz

%description
Many Internet Service Providers (ISPs) have different modem pools for e.g
14.4, 28.8, 56k etc... modems. gpppwrap is a graphical user interface to
conveniently select a phone number and dial into your ISP. It may also
be used if you switch frequently between different ISPs.  gpppwrap is
only a wrapper around the ppp-on/ppp-off scripts and gives you therefore
still the power and flexibility of these scripts.  The gpppwrap package
contians ppp-on/ppp-off perl scripts which are Set-UID root to give
ordinary users the possibility to setup a ppp connection to the selected
phone number. gpppwrap is based on the gtk GUI libraries.  This package
contains also a cgi-script called pppcontrol.  You can place it on your
local webserver and use it instead of gpppwrap to switch on/off the
ppp connection.  This is especially useful if you have windows clients
in the local network.

This RPM has all the sample scripts for the /etc/ppp directory packed
into the documentaion directory. You might want to adapt them to your
needs and copy them to /etc/ppp/

%prep
%setup

%build
make 

%install
make install
make install_config_only

%clean

%files
%doc README etc cgi-bin
%config /etc/ppp/gpppwrap.conf
/usr/man/man1/gpppwrap.1
/usr/bin/gpppwrap

